<?php
require_once '../config/Database.php';
require_once '../models/Producto.php';

$database = new Database();
$db = $database->connect();
$producto = new Producto($db);

if ($_SERVER['REQUEST_METHOD'] === 'DELETE') {
    $id = isset($_GET['id']) ? $_GET['id'] : die();
    if ($producto->delete($id)) {
        echo json_encode(['message' => 'Producto eliminado']);
    } else {
        echo json_encode(['message' => 'Error al eliminar']);
    }
}

if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['id'])) {
    $id = $_GET['id'];
    $item = $producto->getById($id);
    echo json_encode($item);
}
